Bug 104022 - Undefined subroutine &DBD::Pg::db::pg_server_version
Summary: Undefined subroutine &DBD::Pg::db::pg_server_version
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: perl-DBD-Pg (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-09 02:16 UTC by Ted Kaczmarek
Modified: 2007-04-18 16:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-21 17:51:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ted Kaczmarek 2003-09-09 02:16:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703
Epiphany/0.9.3

Description of problem:
When istalling latest version of Opennms on severn I was geting
"Undefined subroutine &DBD::Pg::db::pg_server_version called at
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/DBD/Pg.pm line 911."

I downgraded it to  perl-DBD-Pg-1.21-2.i386.rpm and the install completed.

Version-Release number of selected component (if applicable):
perl-DBD-Pg-1.22-1

How reproducible:
Always

Steps to Reproduce:
1.Download opennms-1.1.2-1
2.Try installing
3.
    

Actual Results:  Error during install, Undefined subroutine
&DBD::Pg::db::pg_server_version called at
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/DBD/Pg.pm line 911.
.

Expected Results:  Install completes.

Additional info:

This is severn with the 2.4.22-20.1.2024.2.36.nptl kernel.

Comment 1 Max Kanat-Alexander 2003-11-13 21:26:29 UTC
I can confirm this bug on Fedora Core 1 -- it prevents me from
installing Red Hat's bugzilla for use at our organization.

-M

Comment 2 Maxwell Kanat-Alexander 2003-12-31 22:08:51 UTC
Can we get the latest DBD::Pg thrown in to Fedora? It looks like 1.31
has been released, now. It would probably resolve this issue.

-M


Comment 3 Maxwell Kanat-Alexander 2003-12-31 22:19:31 UTC
*Ping* (I think that the previous comment didn't send an email because
of a software error in BZ.)

Comment 4 Maxwell Kanat-Alexander 2004-02-13 19:53:42 UTC
I can confirm that perl-DBD-Pg 1.31 resolves this issue. So I assume
that it will be resolved in FC2.

-M


Note You need to log in before you can comment on or make changes to this bug.